Helpcenter

Below you will find an overview of the most asked questions. In case you did not find the answer to your question, please contact us through the contact form or write an e-mail to:support@euroglot.nl

Euroglot Professional is compatible with Windows Vista/7/8/ and 10 32 and 64 bits. Also there is a version available for MAC Osx. Window XP and older versions of Windows are not supported.
This happens when you don’t execute Euroglot Professional with “Administrator Rights” the first time. The licence file cannot be written without “Administrator Rights”. Please close the application and start the application by clicking with the right mouse button on the Euroglot icon on your desktop and click “Execute as Administrator”.
You get the error message, “Euroglot stopped working”. Does your computer uses the Microsoft C++ 2005 Runtime libraries and the .NET Framework? You can turn these components on through the control panel.
Euroglot Professional versions 3.0/4.0/4.5/5.0/6 are not compatible with Windows 7, 8 or 10. You can update your software.